# AnyKernel3 Ramdisk Mod Script
# osm0sis @ xda-developers

## AnyKernel setup
# begin properties
properties() { '
kernel.string=Lenovo Open Source Kernel for Z6 Pro by @Lucchetto_m
do.devicecheck=0
do.modules=1
do.cleanup=1
do.cleanuponabort=0
device.name1=zippo
device.name2=toro
device.name3=toroplus
device.name4=tuna
device.name5=
supported.versions=
supported.patchlevels=
'; } # end properties

# shell variables
block=/dev/block/bootdevice/by-name/boot;
is_slot_device=0;
ramdisk_compression=auto;


## AnyKernel methods (DO NOT CHANGE)
# import patching functions/variables - see for reference
. tools/ak3-core.sh;


## AnyKernel file attributes
# set permissions/ownership for included ramdisk files
set_perm_recursive 0 0 755 644 $ramdisk/*;
set_perm_recursive 0 0 750 750 $ramdisk/init* $ramdisk/sbin;
chown -R root:root $ramdisk/*;


## AnyKernel install
dump_boot;

# remove existing vendor modules
rm -rf /vendor/lib/modules

# begin ramdisk changes

# init.rc

# init.tuna.rc


# fstab.tuna


# end ramdisk changes

write_boot;
## end install

